import { Selector, createSelector } from '@ngrx/store';

export interface State {
  selectedRoom: string | null;
}

export const initialState: State = {
  selectedRoom: null
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    selectedRoom: createSelector(
      selector,
      (state: State) => state.selectedRoom
    )
  };
}
