import { createReducer, on } from '@ngrx/store';
import { initialState } from './state';
import { bulkInfoSuccess } from './actions';

export const reducer = createReducer(
  initialState,
  on(bulkInfoSuccess, (state, action) => {
    return {
      ...state,
      statusBulkInfoList: action.statusBulkInfoList
    };
  })
);
