import { Selector, createSelector } from '@ngrx/store';
import { StatusBulkInfo } from '@ucap-webmessenger/protocol-status';

export interface State {
  statusBulkInfoList: StatusBulkInfo[];
}

export const initialState: State = {
  statusBulkInfoList: []
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    statusBulkInfoList: createSelector(
      selector,
      (state: State) => state.statusBulkInfoList
    )
  };
}
