import { Component, OnInit, Input } from '@angular/core';

import { Info, EventType } from '@ucap-webmessenger/protocol-event';
import { LoginResponse } from '@ucap-webmessenger/protocol-authentication';
import { NGXLogger } from 'ngx-logger';

@Component({
  selector: 'ucap-chat-messages',
  templateUrl: './messages.component.html',
  styleUrls: ['./messages.component.scss']
})
export class MessagesComponent implements OnInit {
  @Input()
  loginRes: LoginResponse;
  @Input()
  messages: Info[];

  EventType = EventType;

  constructor(private logger: NGXLogger) {}

  ngOnInit() {
    this.logger.debug('type of userSeq', typeof this.loginRes.userSeq);
  }
}
