import { createAction, props } from '@ngrx/store';
import { Info } from '@ucap-webmessenger/protocol-event';

export const selectedRoom = createAction(
  '[Messenger::Chat] selectedRoom',
  props<{ roomSeq: string }>()
);

export const newEventMessage = createAction(
  '[Messenger::Chat] newEventMessage',
  props<{
    roomSeq: string;
    info: Info;
  }>()
);
