import { createReducer, on } from '@ngrx/store';
import { initialState } from './state';
import { selectedRoom } from './actions';

export const reducer = createReducer(
  initialState,
  on(selectedRoom, (state, action) => {
    return {
      ...state,
      selectedRoom: action.roomSeq
    };
  })
);
